"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function getLibraryVersion() {
    return JSON.parse(fs_1.default.readFileSync(path_1.default.join(__dirname, '../../package.json'), 'utf8')).version;
}
exports.getLibraryVersion = getLibraryVersion;
function getVersionFromPackageJson(host) {
    const sourceText = host.read('package.json').toString('utf-8');
    const json = JSON.parse(sourceText);
    return json.version || '';
}
exports.getVersionFromPackageJson = getVersionFromPackageJson;
function addPackageToPackageJson(host, pkg, version) {
    if (host.exists('package.json')) {
        const sourceText = host.read('package.json').toString('utf-8');
        const json = JSON.parse(sourceText);
        if (!json.devDependencies) {
            json.devDependencies = {};
        }
        if (!json.devDependencies[pkg]) {
            json.devDependencies[pkg] = version;
            json.devDependencies = sortObjectByKeys(json.devDependencies);
        }
        host.overwrite('package.json', JSON.stringify(json, null, 2));
    }
    return host;
}
exports.addPackageToPackageJson = addPackageToPackageJson;
function sortObjectByKeys(obj) {
    return Object.keys(obj)
        .sort()
        .reduce((result, key) => {
        result[key] = obj[key];
        return result;
    }, {});
}
//# sourceMappingURL=utils.js.map